package alx.p40_io;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.Reader;
import java.io.Writer;

public class Kopiuj3_kodowanie {
	
	public static void kopiuj(String wejscie, String wyjscie) {
		try(FileInputStream fis = new FileInputStream(wejscie);
			Reader reader = new InputStreamReader(fis, "utf-8");
			FileOutputStream fos = new FileOutputStream(wyjscie);
			Writer writer = new OutputStreamWriter(fos, "windows-1250")) {
			 
			 int licznik = 0;
			 int znak;
			 while((znak = reader.read()) != -1) {
				 writer.write(znak);
				 licznik ++;
			 }
			System.out.println(licznik);
			
		} catch (FileNotFoundException e) {
			System.out.println("Plik nie znaleziony "+e.getMessage());
		} catch (IOException e) {
			System.out.println("Błąd wej/wyj "+e.getMessage());
		}
		
	}
	

	public static void main(String[] args) {
		kopiuj("pan-tadeusz.txt", "wynik_win.txt");
		
		System.out.println("Koniec kopiowania");
	}

}
